explain_gethostid_or_die(3)

NAME
explain_gethostid_or_die - get the unique identifier of the current host and report errors
    "get the unique identifier of the current host and report errors"

SYNOPSIS
#include <libexplain/gethostid.h>

long explain_gethostid_or_die(void);
long explain_gethostid_on_error(void);

DESCRIPTION
The explain_gethostid_or_die function is used to call the gethostid(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_gethostid_on_error function is used to call the gethostid(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostid(3) function, but still returns to the caller.

RETURN VALUE
The explain_gethostid_or_die function only returns on success, see gethostid(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_gethostid_on_error function always returns the value return by the wrapped gethostid(3) system call.

EXAMPLE
The explain_gethostid_or_die function is intended to be used in a fashion similar to the following example:
    long result = explain_gethostid_or_die();

SEE ALSO

gethostid(3)
    get the unique identifier of the current host

explain_gethostid(3)
    explain gethostid(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller